###
###	Thank you for reading the dissertation of Elizabeth A. Friedman
###
###	The gamma-ray bursts for this thesis can be accessed from the accompanying
###	text file (provided in "supplemental information"): GRB_unblinded_results.txt
###		The code snippet below is recommended to load the GRB tables.
###
###     Additional resources:
###     	GRB Web: https://user-web.icecube.wisc.edu/~grbweb_public/index.html
###     	Fermi GBM: https://heasarc.gsfc.nasa.gov/FTP/fermi/data/gbm/bursts/ 


import numpy as np

data_path = '/path/to/data/'    # Change this to match your path

results = np.genfromtxt(data_path+'GRB_unblinded_results.txt',
       dtype = [('grb_name','U20'),                # Name from GRB Web
                ('grb_name_GBM', 'U20'),           # Named by Fermi GBM
                ('gbm', 'int32'),                  # 1 indicates GBM burst
                ('TS','Float64'),                  # Unblind test statistic
                ('pvalue','float'),                # Unblind p-value
                ('time_window','Float64'),         # Most significant time window (days)
                ('source_uncertainty','Float64'),  # Position uncertainty (radians)
                ('ra','Float64'),                  # Right ascension (radians)
                ('dec','Float64'),                 # Declination (radians)
                ('mjd_start','Float64'),           # Earliest trigger time (MJD)
                ('t100','Float64'),                # Earliest to latest time (days)
                ('t90','Float64'),                 # 90% gamma-ray time (days)
                ('prompt_time_window','Float64'),  # Prompt time in this analysis (days)
                ('redshift','Float64')             # Redshift (float or nan)
               ], skip_header =1)

